メインコンテンツへスキップ
POST
/
marketing
/
v3
/
campaigns
/
batch
/
create
キャンペーンをバッチ作成
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "properties": {}
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "businessUnits": [
        {
          "id": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が完了した日時。

results
object[]
必須
startedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が開始された日時。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

バッチ処理に関連付けられた関連リンクの対応付け。

numErrors
integer<int32>
requestedAt
string<date-time>

日付-時刻文字列として書式設定される、バッチ処理が要求された日時。

Last modified on March 30, 2026